import 'package:equatable/equatable.dart';

abstract class PermissionEvent extends Equatable {
  const PermissionEvent();

  @override
  List<Object> get props => [];
}

class LoadPermissions extends PermissionEvent {
  final String orgId;

  const LoadPermissions(this.orgId);

  @override
  List<Object> get props => [orgId];
}

class PermissionsReset extends PermissionEvent {}
